function Value = GetLogDataReady ()
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 14);      % Function Idx = 14 GetLogDataReady

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);         % Read Back Function Idx
Value = fread(EM_USB, 1); % Value (as requested in Param 1 above) 

% The log starts when you first call this function.
% The log contains 153 x 4 sets of 16 unique sample values
% Value contains an array of byte values range 0-255.
% 0  = Current DC1 * 0.04835168
% 1  = Current DC2 * 0.04835168
% 2  = Current U * 0.04835168
% 3  = Current V * 0.04835168
% 4  = Current W * 0.04835168
% 5  = Current Dyno * 0.54008
% 6  = Current External I * 0.54008
% 7  = Voltage DC1 * 0.280232
% 8  = Voltage DC2 * 0.280232
% 9  = Voltage U * 0.280232
% 10 = Voltage V * 0.280232
% 11 = Voltage W * 0.280232
% 12 = Voltage Capacitor * 0.280232
% 13 - 15 = Unused
