function Voltage = GetVoltage (Channel)
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 22);        % Function Idx = 22 GetVoltage
fwrite (EM_USB, Channel);   % Param 1 - Channel: 0=DC1, 1=DC2, 2=U, 3=V, 4=W, 5=ExtV
                          
if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);           % Read Back Function Idx
Voltage = fread(EM_USB, 1, 'int16'); % Voltage -32767 to 32767
Voltage = Voltage/100;      % Scale voltage to real Volts
